# $Revision: 1.13 $, $Date: 2010/11/28 12:27:42 $
# NOTE:
# - it has been renamed to libdca
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	DTS Coherent Acoustics decoder
Summary(pl.UTF-8):	Dekoder DTS Coherent Acoustics
Name:		libdts
Version:	0.0.5
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://download.videolan.org/pub/videolan/libdca/%{version}/libdca-%{version}.tar.bz2
# Source0-md5:	dab6b2795c66a82a6fcd4f8343343021
URL:		http://www.videolan.org/developers/libdca.html
Patch0:		%{name}-opt.patch
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
Free decoder for the DTS Coherent Acoustics format. It consists of a
library and a command line decoder. DTS is a high quality
multi-channel (5.1) digital audio format used in DVDs and DTS audio
CDs.

%description -l pl.UTF-8
Wolny dekoder formatu DTS Coherent Acoustics. Składa się z biblioteki
i dekodera działającego z linii poleceń. DTS jest wysokiej jakości
wielokanałowym (5.1) cyfrowym formatem audio używanym w DVD i DTS
audio CD.

%package devel
Summary:	Header files for libdts library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdts
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdts library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdts.

%package static
Summary:	Static libdts library
Summary(pl.UTF-8):	Statyczna biblioteka libdts
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdts library.

%description static -l pl.UTF-8
Statyczna biblioteka libdts.

%prep
%setup -q -n libdca-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%doc doc/libdca.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdts.spec,v $
Revision 1.13  2010/11/28 12:27:42  pluto
- updated to 0.0.5.

Revision 1.12  2007/06/13 19:06:14  qboosh
- updated Source0 URL (tarball renamed to libdca, but PACKAGE remained libdts)

Revision 1.11  2007/04/15 14:37:55  megabajt
- release 3

Revision 1.10  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.8  2006/06/26 09:02:12  pluto
- reverted, fix avidemux!.

Revision 1.7  2006/06/26 06:19:43  charles
- packed dts_internal.h (required by newest avidemux)
- rel. 3, STBR

Revision 1.6  2006/01/30 02:42:48  pluto
- pass -fno-strict-aliasing.

Revision 1.5  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.4  2005/06/15 19:59:53  witekfl
- added bcond_without static_libs

Revision 1.3  2005/03/05 14:36:08  qboosh
- updated URL, added notes

Revision 1.2  2004/08/24 20:12:47  qboosh
- PIC fix in shared patch, added opt patch, release 2

Revision 1.1  2004/08/02 21:44:52  grzegol
- new
